cdef enum AIAvailabilityEnum:
    NONE = 0
    DOWNLOADING = 10
    CONVERTING = 20
    UPLOADING = 30
    ENABLED = 200
    WARNING = 300
    ERROR = 500

cdef class AIAvailabilityStatus:
    cdef AIAvailabilityEnum status
    cdef str error_message
    cdef object _lock

    cdef bytes serialize(self)
    cdef set_status(self, AIAvailabilityEnum status, str error_message=*)